import 'package:build/build.dart';
import 'package:interceptable/src/builder/writer/interceptable_writer.dart';
import 'package:source_gen/source_gen.dart';

import 'package:interceptable/src/builder/collector/interceptable_collector.dart';

Builder interceptableCollector(BuilderOptions options) => LibraryBuilder(
      InterceptableCollector(),
      generatedExtension: '.interceptable_cache.dart',
    );

Builder interceptableCombiner(BuilderOptions options) => LibraryBuilder(
      InterceptableWriter(),
      generatedExtension: '.interceptable.g.dart',
    );
