class CacheObject {
  String path;
  String generatedPath;
  String className;
  String generatedClassName;
  String code;

  CacheObject(
    this.path,
    this.generatedPath,
    this.className,
    this.generatedClassName,
    this.code,
  );

  Map toJson() {
    return {
      "path": path,
      "generatedPath": generatedPath,
      "className": className,
      "generatedClassName": generatedClassName,
      "code": code,
    };
  }

  CacheObject.fromJson(Map json) {
    path = json['path'];
    generatedPath = json['generatedPath'];
    className = json['className'];
    generatedClassName = json['generatedClassName'];
    code = json['code'];
  }
}
